procedure reg_resource_files;
begin
{--------------------------Registration files-resources--------------------}
res_counter:=0;
res_reg(0, 'loadscr.bin', g_path+'scenes\loadscr\tools\loadscr.bin',  64000, 1);
res_reg(0, 'loadscr.pal', g_path+'scenes\loadscr\tools\loadscr.pal',  1536,  0);
res_reg(0, 'font6_d.bin', g_path+'font6_d.bin',  1152,  0);

res_reg(1, '7dump.bin',   g_path+'scenes\boxcube\tools\7dump.bin' ,  236,  0);
res_reg(1, '7dump2.bin',  g_path+'scenes\boxcube\tools\7dump2.bin',  1040, 0);
res_reg(1, 'sands.bin',   g_path+'scenes\boxcube\tools\sands.bin' ,  260,  0);
res_reg(1, 'sands2.bin',  g_path+'scenes\boxcube\tools\sands2.bin',  1200, 0);
res_reg(1, 'colors0.bin', g_path+'scenes\boxcube\tools\colors0.bin', 14042, 0);
res_reg(1, 'colors1.bin', g_path+'scenes\boxcube\tools\colors1.bin', 14042, 0);
res_reg(1, 'colors2.bin', g_path+'scenes\boxcube\tools\colors2.bin', 14042, 0);
res_reg(1, 'colors3.bin', g_path+'scenes\boxcube\tools\colors3.bin', 14042, 0);
res_reg(1, 'colors4.bin', g_path+'scenes\boxcube\tools\colors4.bin', 14042, 0);
res_reg(1, 'colors5.bin', g_path+'scenes\boxcube\tools\colors5.bin', 14042, 0);

res_reg(3, 'font2.bin',   g_path+'scenes\project\tool\font2.bin',   4294, 0);
res_reg(3, 'proj.bin',    g_path+'scenes\project\tool\proj.bin',   64000, 1);
res_reg(3, 'proj.pal',    g_path+'scenes\project\tool\proj.pal',    1536, 0);
res_reg(3, 'proj2.pal',    g_path+'scenes\project\tool\proj2.pal',    1536, 0);
res_reg(3, 'projgray.pal',g_path+'scenes\project\tool\projgray.pal',    1536, 0);
res_reg(3, 'projcont.pal',g_path+'scenes\project\tool\projcont.pal',    1536, 0);

res_reg(3, 'circles.bin',g_path+'scenes\tunnel\tools\circles.bin',    34000, 1);

res_reg(5, 'cred2_1.bin',  g_path+'scenes\credits\tools\cred2_1.bin',   64000, 0);
res_reg(5, 'cred3_1.bin',  g_path+'scenes\credits\tools\cred3_1.bin',   64000, 0);
res_reg(5, 'cred2_2.bin',  g_path+'scenes\credits\tools\cred2_2.bin',   64000, 0);
res_reg(5, 'cred3_2.bin',  g_path+'scenes\credits\tools\cred3_2.bin',   64000, 0);
res_reg(5, 'fanta1.bin',  g_path+'scenes\credits\tools\fanta1.bin',   65536, 1);
res_reg(5, 'fanta1.pal',  g_path+'scenes\credits\tools\fanta1.pal',    1536, 0);
res_reg(5, 'fanta2.bin',  g_path+'scenes\credits\tools\fanta2.bin',   65536, 1);
res_reg(5, 'fanta2.pal',  g_path+'scenes\credits\tools\fanta2.pal',    1536, 0);

res_reg(5, 'bitl2.bin',   g_path+'scenes\credits\tools\bitl2.bin',    148, 0);
res_reg(5, 'manwe2.bin',  g_path+'scenes\credits\tools\manwe2.bin',   268, 0);
res_reg(5, 'codegfx.bin', g_path+'scenes\credits\tools\codegfx.bin',   360, 0);
res_reg(5, 'soundtrk.bin',g_path+'scenes\credits\tools\soundtrk.bin',   508, 0);
res_reg(5, 'bitl3.bin',   g_path+'scenes\credits\tools\bitl3.bin',    64000, 1);
res_reg(5, 'manwe3.bin',  g_path+'scenes\credits\tools\manwe3.bin',   64000, 1);
res_reg(5, 'bitl3.pal',   g_path+'scenes\credits\tools\bitl3.pal',    1536, 0);
res_reg(5, 'manwe3.pal',  g_path+'scenes\credits\tools\manwe3.pal',   1536, 0);
res_reg(5, 'penrose.bin', g_path+'scenes\penrose\tools\penrose.bin',   64000, 1);
res_reg(5, 'pres1.bin',   g_path+'scenes\penrose\tools\pres1.bin',   37632, 0);
res_reg(5, 'pres2.bin',   g_path+'scenes\penrose\tools\pres2.bin',   37924, 0);
res_reg(5, 'pres3.bin',   g_path+'scenes\penrose\tools\pres3.bin',   37632, 0);


res_reg(6, 'title.bin',   g_path+'scenes\bump\tools\title.bin',   33280, 0);
res_reg(6, 'test2_p2.pal',g_path+'scenes\bump\tools\test2_p2.pal',  1536, 0);
res_reg(6, 'test2_p3.pal',g_path+'scenes\bump\tools\test2_p3.pal',  1536, 0);
res_reg(6, 'test2_t2.bin',g_path+'scenes\bump\tools\test2_t2.bin',   65536, 1);
res_reg(6, 'title_f.bin',   g_path+'scenes\balls0\tools\title_f.bin',   64000, 1);
res_reg(6, 'bump1.bin',g_path+'scenes\bump\tools\bump1.bin',   65536, 0);
res_reg(6, 'bump2.bin',g_path+'scenes\bump\tools\bump2.bin',   65536, 0);


res_reg(7, 'texture0.bin',g_path+'scenes\balls1\tools\texture0.bin',   65536, 0);
res_reg(7, 'ball64.bin',  g_path+'scenes\balls1\tools\ball64.bin',   16512, 0);
res_reg(7, 'texture0.pal',g_path+'scenes\balls1\tools\texture0.pal',   1536, 0);
res_reg(7, 'textgen3.pal',g_path+'scenes\balls1\tools\textgen3.pal',   1536, 0);
res_reg(7, 'lighmap2.bin',g_path+'scenes\balls1\tools\lighmap2.bin',   64*64, 0);
res_reg(7, 'flr_mesh.bin',g_path+'scenes\balls1\tools\flr_mesh.bin',   1006, 0);

res_reg(7, 'btex2_0.bin', g_path+'scenes\balls2\tools\btex2_0.bin',   65536, 0);
res_reg(7, 'ball128.bin',  g_path+'scenes\balls2\tools\ball128.bin',   32768, 0);
res_reg(7, 'darkpal2.pal',g_path+'scenes\balls2\tools\darkpal2.pal',   1536, 0);
res_reg(7, 'metal.pal',   g_path+'scenes\balls2\tools\metal.pal',   1536, 0);
res_reg(7, 'blmap2.bin',  g_path+'scenes\balls2\tools\blmap2.bin',   128*128, 0);

res_reg(8, 'plasma.pal',  g_path+'scenes\plasma\tools\plasma.pal', 1536, 0);
res_reg(8, 'iferens1.pal',g_path+'scenes\plasma2\tools\iferens1.pal', 1536, 0);
res_reg(8, 'iferens2.pal',g_path+'scenes\plasma2\tools\iferens2.pal', 1536, 0);
res_reg(8, 'iferens3.pal',g_path+'scenes\plasma2\tools\iferens3.pal', 1536, 0);
res_reg(8, 'plas_op.bin', g_path+'scenes\plasma\tools\plas_op.bin', 160, 0);
res_reg(8, 'plas3_cl.bin',g_path+'scenes\plasma\tools\plas3_cl.bin', 160, 0);
res_reg(8, 'plas2_cl.bin',g_path+'scenes\plasma2\tools\plas2_cl.bin', 160, 0);
res_reg(8, 'plas3_op.bin',g_path+'scenes\plasma2\tools\plas3_op.bin', 160, 0);
res_reg(8, 'ifer_1_1.bin',g_path+'scenes\plasma2\tools\ifer_1_1.bin', 65536, 0);
res_reg(8, 'ifer_1_2.bin',g_path+'scenes\plasma2\tools\ifer_1_2.bin', 512*84, 0);
res_reg(8, 'ifer_2_1.bin',g_path+'scenes\plasma2\tools\ifer_2_1.bin', 65536, 0);
res_reg(8, 'ifer_2_2.bin',g_path+'scenes\plasma2\tools\ifer_2_2.bin', 512*84, 0);
res_reg(8, 'ifer_3_1.bin',g_path+'scenes\plasma2\tools\ifer_3_1.bin', 65536, 0);
res_reg(8, 'ifer_3_2.bin',g_path+'scenes\plasma2\tools\ifer_3_2.bin', 512*84, 0);

res_reg(9, 'hexfall.pal', g_path+'scenes\hexfall\tools\hexfall.pal',   1536, 0);
res_reg(9, 'hexmesh.bin', g_path+'scenes\hexfall\tools\hexmesh.bin',   2400, 0);
res_reg(9, 'hex4.bin',    g_path+'scenes\floor\tools\hex4.bin',   65536, 1);
res_reg(9, 'floor.bin',   g_path+'scenes\floor\tools\floor.bin',   65536, 1);
res_reg(9, 'hex4.pal',    g_path+'scenes\floor\tools\hex4.pal',   1536, 0);
res_reg(9, 'hex_gray.pal',    g_path+'scenes\floor\tools\hex_gray.pal',   1536, 0);

res_reg(10, 'dod_tbl.bin',g_path+'scenes\dodec\tools\dod_tbl.bin',   64000, 0);
res_reg(10, 'text4_3.bin',g_path+'scenes\dodec\tools\text4_3.bin',   65536, 1);
res_reg(10, 'text4_3.pal',g_path+'scenes\dodec\tools\text4_3.pal',   1536, 0);
res_reg(10, 'dodec2.pal',g_path+'scenes\dodec\tools\dodec2.pal',   1536, 0);
res_reg(10, 'dodec3.pal',g_path+'scenes\dodec\tools\dodec3.pal',   1536, 0);
res_reg(10, 'dodec4.pal',g_path+'scenes\dodec\tools\dodec4.pal',   1536, 0);

res_reg(11, 'wizard1.bin',g_path+'scenes\wizard\tools\wizard1.bin',   64000, 1);
res_reg(11, 'wizard2.bin',g_path+'scenes\wizard\tools\wizard2.bin',   64000, 0);

res_reg(11, 'sandbox3.pal',g_path+'scenes\sandbox\tools\sandbox3.pal',   1536, 0);

res_reg(17, 'wirth.bin',  g_path+'scenes\wirth\tools\wirth.bin',   64000, 1);
res_reg(17, 'wirth.pal',  g_path+'scenes\wirth\tools\wirth.pal',   1536, 0);
res_reg(17, 'wirth2.pal',  g_path+'scenes\wirth\tools\wirth2.pal',   1536, 0);
res_reg(17, 'mask_w.bin', g_path+'scenes\wirth\tools\mask_w.bin',   4000, 0);

res_reg(17, 'text.txt',   g_path+'scenes\endscrll\tools\text.cry',  1242,  0);
res_reg(17, 'font6.bin',   g_path+'scenes\endscrll\tools\font6.bin',  3456,  0);
res_reg(17, 'font12.bin', g_path+'scenes\endscrll\tools\font12.bin',  13824,  1);


end;